repo/gentoo:master commit in: app-containers/cadvisor/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786044319.17868b583c22c6c1ed5e04bb378cd5f08a651a58.arthurzam@gentoo>
commit:     17868b583c22c6c1ed5e04bb378cd5f08a651a58
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 19:25:13 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 19:25:19 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17868b58

app-containers/cadvisor: add 0.60.5

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-containers/cadvisor/Manifest               |  2 +
 app-containers/cadvisor/cadvisor-0.60.5.ebuild | 53 ++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/app-containers/cadvisor/Manifest b/app-containers/cadvisor/Manifest
index 9689fd9002af..5419673b1102 100644
--- a/app-containers/cadvisor/Manifest
+++ b/app-containers/cadvisor/Manifest
@@ -4,3 +4,5 @@ DIST cadvisor-0.53.0-deps.tar.xz 89910284 BLAKE2B 448c6a0f87e23b5274b3f3478fde62
 DIST cadvisor-0.53.0.tar.gz 992998 BLAKE2B 3cb8e8ed487811e44aee652084fc173f8274eb98e28f32ddab5e26f2f225dc41dee6fddcde66035447849dac49f28991e993e9faa37b2ae965627fb8cde3c6ec SHA512 b14b0d4025c0b53a4299a38706cc1c5fec181554b3875ab1aa5ca2e80ca4070aa057521812a19e3fb6b175e1ea05ef37af613f69cf84dd131dc82f218fa6ff9c
 DIST cadvisor-0.56.2-deps.tar.xz 91038580 BLAKE2B a2ac7627c8c27247ceb6762aa3bb29600a1fd9dd0373f8cc8296f84d5a668bcea53431d7c79a15cc19fc9db56394bbcc73bc9615a36d4af864428102b94e48fd SHA512 e5df929d718fa5f6765c09bf603fd52ed34b259b57abecc3236a49ef10333e803bb031fb3d636fc8c0d0fba42fba15cbfb1320bd30723dea2a36455a3ecd7369
 DIST cadvisor-0.56.2.tar.gz 1010039 BLAKE2B c6f98f9c7e8818977290f9044084b26768dac49b9c76edc00e65e87f48fb0b0ba5ef91fea18f5b1e63de1e4e4f8bd6e5852910c7054748c3e5298aefd74b8593 SHA512 9c8424be5868f97bbd026f1a976abc6a40d0a2b8bfa40f56c03c2a7b416537dec2680fcdcb2076414c3b7aa110955d2d456d6756f1b0eec40afc49837a581152
+DIST cadvisor-0.60.5-deps.tar.xz 85656580 BLAKE2B aa15899dfa657e0c14c8a99e6346d0287f0dbf650bfdace606bdd6402543ad508efe3c2b3b83b324928c27b03f6b485531193fa428318933de376c3738264b45 SHA512 8186b30121df70919f25222bce24db0633d0328d1a23f70faedfd7dce12fa2cef3a82a92016221e82c7b64b5c42f74654b0148f9fd67f9dde67d4e3648b11dcd
+DIST cadvisor-0.60.5.tar.gz 1048626 BLAKE2B a5b147960e24c748d61635fe8e23761c3d0260eeb3fb19f52e3f69bd0d1f69895d4229e779c7d180e62a0d1484afeb01c7364832ecf5d3797849d8b8f6f7372c SHA512 f4fe3b2f9cd0d2b631041cb476ef12c65780252d7fdcdb7f0e535b28d185aa05393bad3e28446cffe3f0741343250698ec4e6ddd6ec3389f9041c30e8dd115ac

diff --git a/app-containers/cadvisor/cadvisor-0.60.5.ebuild b/app-containers/cadvisor/cadvisor-0.60.5.ebuild
new file mode 100644
index 000000000000..03d7e93b40f5
--- /dev/null
+++ b/app-containers/cadvisor/cadvisor-0.60.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module systemd
+
+COMMIT=44b8e3062d678022939d40b2a2e9b259b07ebab0
+
+DESCRIPTION="Analyzes resource usage and performance characteristics of running containers"
+HOMEPAGE="https://github.com/google/cadvisor"
+SRC_URI="https://github.com/google/cadvisor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://github.com/gentoo-golang-dist/${PN}/releases/download/v${PV}/${P}-deps.tar.xz"
+
+LICENSE="Apache-2.0"
+# Dependent licenses
+LICENSE+=" Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+	acct-group/cadvisor
+	acct-user/cadvisor
+"
+RDEPEND="${DEPEND}"
+BDEPEND=">=dev-lang/go-1.25.0"
+
+src_prepare() {
+	default
+	sed -i build/assets.sh -e "/go install/d"  || die
+	sed -i build/build.sh \
+		-e "/^version=/s/=.*/=${PV}/" \
+		-e "/^revision=/s/=.*/=${COMMIT}/" \
+		-e "/^branch=/s/=.*/=v${PV}/" || die
+}
+
+src_compile() {
+	GO_FLAGS="${GOFLAGS}" VERBOSE="true" emake build
+}
+
+src_test() {
+	GO_FLAGS="${GOFLAGS}" VERBOSE="true" emake test
+}
+
+src_install() {
+	dobin _output/${PN}
+
+	newinitd "${FILESDIR}"/${PN}.initd-r2 ${PN}
+	systemd_dounit "${FILESDIR}/${PN}.service"
+
+	keepdir /var/log/${PN}
+	fowners ${PN}:${PN} /var/log/${PN}
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.